summaryrefslogtreecommitdiffstats
path: root/source/l/gdbm/gdbm.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gdbm/gdbm.SlackBuild')
-rwxr-xr-xsource/l/gdbm/gdbm.SlackBuild34
1 files changed, 28 insertions, 6 deletions
diff --git a/source/l/gdbm/gdbm.SlackBuild b/source/l/gdbm/gdbm.SlackBuild
index aeb91618a..691f7001f 100755
--- a/source/l/gdbm/gdbm.SlackBuild
+++ b/source/l/gdbm/gdbm.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,10 +24,20 @@
# by volkerdi@slackware.com, 2/2001
-VERSION=1.8.3
-ARCH=${ARCH:-x86_64}
+PKGNAM=gdbm
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-4}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-gdbm
@@ -43,12 +53,15 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
cd $TMP
rm -rf gdbm-$VERSION
-tar xzvf $CWD/gdbm-$VERSION.tar.gz
-cd gdbm-$VERSION
+tar xvf $CWD/gdbm-$VERSION.tar.?z* || exit 1
+cd gdbm-$VERSION || exit 1
chown -R root:root .
find . -perm 700 -exec chmod 755 {} \;
find . -perm 600 -exec chmod 644 {} \;
@@ -73,8 +86,17 @@ make install INSTALL_ROOT=$PKG
)
mkdir -p $PKG/usr/doc/gdbm-$VERSION
cp -a \
- COPYING ChangeLog NEWS README \
+ COPYING* NEWS README* \
$PKG/usr/doc/gdbm-$VERSION
+
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
rm -f $PKG/usr/info/dir
gzip -9 $PKG/usr/info/gdbm.info
gzip -9 $PKG/usr/man/man3/gdbm.3